#ifndef GAMEFIELD_H
#define GAMEFIELD_H

#include "Player.h"
#include <vector>
#include <string>

class Gamefield
{
    public:
        Gamefield();
        virtual ~Gamefield();

        /** @brief Initializes from file
            @note Stops at empty lines!
         **/
        const bool Init(const std::string& filename, Player& player);

        void Display(const Player& player);

        void TryMove(Player& player, int deltaX, int deltaY);

        static const char PLAYER_CHAR = 'P';
        static const char EXIT_CHAR = 'E';
        static const char EMPTY_CHAR = ' ';
        static const char CRATE_CHAR = 'o';

        typedef char Cell;
        typedef std::vector<Cell> Row;

        std::vector<Row> Cells;
};

#endif // GAMEFIELD_H
